Skip to main content
GET
/
api
/
aviation
/
v1
/
list-airport-flights
ListAirportFlights
curl --request GET \
  --url https://api.worldmonitor.app/api/aviation/v1/list-airport-flights \
  --header 'X-WorldMonitor-Key: <api-key>'
import requests

url = "https://api.worldmonitor.app/api/aviation/v1/list-airport-flights"

headers = {"X-WorldMonitor-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-WorldMonitor-Key': '<api-key>'}};

fetch('https://api.worldmonitor.app/api/aviation/v1/list-airport-flights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "flights": [
    {
      "actualArrival": 1,
      "actualDeparture": 1,
      "aircraftIcao24": "a835af",
      "aircraftType": "all",
      "cancelled": true
    }
  ],
  "source": "example",
  "totalAvailable": 1,
  "updatedAt": 1717200000000
}
{
"violations": [
{
"field": "<string>",
"description": "<string>"
}
]
}
{
"error": "<string>"
}
{
"error": "<string>",
"requiredTier": 123,
"currentTier": 123,
"planKey": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Authorizations

X-WorldMonitor-Key
string
header
required

User-issued WorldMonitor API key.

Query Parameters

airport
string
required

IATA airport code (e.g., "IST").

direction
enum<string>

Direction filter.

Available options:
FLIGHT_DIRECTION_DEPARTURE,
FLIGHT_DIRECTION_ARRIVAL,
FLIGHT_DIRECTION_BOTH
limit
integer<int32>

Maximum number of flights to return (1-100).

jmespath
string

Optional JMESPath expression applied server-side to project or reduce the JSON response before it is returned (mirrors the MCP jmespath argument). Invalid expressions, expressions larger than 1024 UTF-8 bytes, or projections that exceed the 256 KB output cap return HTTP 400 with a {_jmespath_error, original_keys} envelope. Grammar and worked examples: https://www.worldmonitor.app/docs/mcp-jmespath.

Response

Successful response

ListAirportFlightsResponse contains recent flights at an airport.

flights
object[]
totalAvailable
integer<int32>

Total number of flights available from the provider.

source
string

Data source identifier.

updatedAt
integer<int64>

Last update time as Unix epoch milliseconds.. Warning: Values > 2^53 may lose precision in JavaScript